com.rs.xbrl.instructions.formula

## Class ParameterVariableDefinition

- java.lang.Object
- - com.rs.xbrl.instructions.formula.VariableDefinitionImpl
  - - com.rs.xbrl.instructions.formula.ParameterVariableDefinition

- All Implemented Interfaces:
    VariableDefinition

      public class ParameterVariableDefinition
      extends VariableDefinitionImpl

  this is a parameter definition from the information in the excel sheet.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterVariableDefinition(javax.xml.namespace.QName qName, ExcelSheetPoint selectColumn, ExcelSheetPoint extraColumn, GenerationContext gc)` Instantiates a new parameter variable definition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<AspectOrFilter>` | `getAspects()` Gets the aspects.
    `javax.xml.namespace.QName` | `getVarName()` Gets the var name.

    - ### Methods inherited from class com.rs.xbrl.instructions.formula.VariableDefinitionImpl

      `createVariable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterVariableDefinition

          public ParameterVariableDefinition(javax.xml.namespace.QName qName,
                                     ExcelSheetPoint selectColumn,
                                     ExcelSheetPoint extraColumn,
                                     GenerationContext gc)

      Instantiates a new parameter variable definition.
      Parameters:
        `qName` - the q name
        `selectColumn` - the select column
        `extraColumn` - the extra column
        `gc` - the gc

  - ### Method Detail

    - #### getAspects

          public java.util.ArrayList<AspectOrFilter> getAspects()

      Description copied from interface: `VariableDefinition`
      Gets the aspects.
      Returns:
        the aspects

    - #### getVarName

          public javax.xml.namespace.QName getVarName()

      Description copied from interface: `VariableDefinition`
      Gets the var name.
      Returns:
        the var name